//QInputBox 1.1 implementation.  See license.txt for licensing
//copyright 2000, Spanware, Inc. David Koretzky

#include "qinputbox.h"

#include <qapplication.h>
#include <qpushbutton.h>

QInputBox :: QInputBox(QString caption , QString prompt, QString& defString) :
	QDialog (0, 0, true, 0 )
{
	setCaption (caption);
	QWidget* desktop = QApplication :: desktop();
	setGeometry ( desktop -> width() / 4 * 1.5,
								desktop -> height() / 4 * 1.5,
								desktop -> width() / 4,
								desktop -> height() /5 );
	setFixedSize ( this -> width(), this ->height() );							
	
	lblPrompt = new QLabel(this, 0);
	lblPrompt -> setText (prompt);
	lblPrompt -> setGeometry ( 10, height() * .20, width() - 20, 30);
	
	txtValue = new QLineEdit(this, 0);
	txtValue -> setGeometry( 10, height() * .20 + 40, width() - 20, 30);
	txtValue -> setText (defString);
	connect (txtValue, SIGNAL( returnPressed() ), SLOT( OKClicked() ));

	btnCancel = new QPushButton("Cancel", this, 0);
	btnCancel -> setGeometry( width() - 60, height() - 40, 50, 30);
	connect (btnCancel, SIGNAL( clicked() ), SLOT( reject()) );	
		
	btnOK = new QPushButton("OK", this, 0);
	btnOK -> setGeometry (width() - 120, height() - 40, 50, 30);
	connect (btnOK, SIGNAL( clicked() ), SLOT( OKClicked() ));	
	
	m_sValue = &defString;

	PropagationMode m = AllChildren;	
	setFontPropagation ( m );
	setFont ( QFont ("Helvetica"));
	txtValue -> setFocus();	
	
	exec();
}

void QInputBox :: OKClicked()
{
	*m_sValue = txtValue -> text();
	accept();
}		
